Subject: Re: [bug#49273] [PATCH 1/1] gnu: Add emacs-rustic.

From: Nicolas Goaziou <[email-masked]>
Date: Fri, 02 Jul 2021 09:16:00 +0200

Hello,

Dhruvin Gandhi via Guix-patches via <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (emacs-rustic): New variable.

Thank you.

I applied your patch with the following changes:

> +(define-public emacs-rustic
> +  (let ((commit "bbf129cd128105de51b6c242b2551094b8d8987d")
> +        (revision "0"))

I added a comment explaining why we're not using a specific tag here.

> +           (add-before 'check 'set-without-cask
> +             (lambda _
> +               (setenv "WITHOUT_CASK" "1")
> +               #t)))))

I removed the #t here.
> +      (home-page "https://github.com/brotzeit/rustic")
> +      (synopsis "Rust development environment for Emacs")
> +      (description "Rustic is a fork of rust-mode.
> +
> +Differences with rust-mode:
> +@itemize
> +@item flycheck integration
> +@item cargo popup
> +@item multiline error parsing
> +@item translation of ANSI control sequences through xterm-color
> +@item async org babel
> +@item custom compilation process
> +@item rustfmt errors in a rust compilation mode
> +@item automatic LSP configuration with eglot or lsp-mode
> +@item optional rust inline documentation
> +@item etc.
> +@end itemize\n")

I slightly reworded the description so it includes full sentences, with
proper capitalization, and no newline character at its end.

Regards,
-- 
Nicolas Goaziou